Create a new item object

This call creates a new item object and returns the created object.

The item object to be created should be sent in the request body.

Body·
required
application/json
  • price
    Type: number
    required

    The cost per unit of the item. May be positive, zero or negative.

  • title
    Type: string
    max length:  
    100
    required

    The short text given for the item. Should generally be a human-readable description of the product or service sold. Must not be empty.

  • unit
    Type: stringenum
    required

    Unit of measure for the item.

    values
    • unit
    • hour
    • day
    • month
    • year
  • vat
    Type: number
    required

    VAT rate applied to this item, in percent. No more than two decimals allowed, for example 10.25 is valid, but 10.255 is not. All values between 0 and 100 are valid, but if you wish to use Swedish VAT rates, you should use: 0, 6, 12 or 25

  • bookkeeping
    Type: object ·
  • description
    Type: string
    max length:  
    200

    A longer description for the item. Appears below the main item row on an invoice. Can be used to e.g detail the work performed in the case of services.

  • item_no
    Type: string

    Identification for the item. Always present on existing items. If no item_no is given when creating an item object, a new number is generated and assigned automatically. The item number is a string and may contain other characters than just numerals. Must be unique. If the item_no is changed on an item object, the new value must be used to refer to it from that point. If you want automatic item-numbering, please do not set this parameter at all, not even to a null value. The max length for item_no is 30 characters IF the value is non-numeric, otherwise (if the value is numeric) the max value is 999999999.

  • zero_vat_reason
    Type: string · enum

    The reason for 0% VAT rate on the item. Required only in Italian market if vat is set to 0.

    • VAT_EXEMPT: no VAT is charged for this item. Businesses cannot reclaim VAT on their inputs related to these supplies
    • ZERO_RATE_VAT: taxable service or good, but VAT rate is 0%. Businesses can reclaim VAT on their inputs related to these supplies
    • EXPORT_VAT: goods or services sold to customers outside the country. Businesses can reclaim VAT on their inputs related to these exports
    values
    • VAT_EXEMPT
    • ZERO_RATE_VAT
    • EXPORT_VAT
  • zero_vat_reason_reference
    Type: string
    max length:  
    200

    Legal reference for 0% VAT reason. Required only in Italian market if vat is set to 0.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/item
curl https://sandbox.billogram.com/api/v2/item \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Basic username:password' \
  --data '{
  "item_no": "207",
  "title": "Apartment cleaning",
  "description": "Vacuum cleaning floor, dusting shelves and taking out trash",
  "price": 130,
  "vat": 25,
  "zero_vat_reason": "VAT_EXEMPT",
  "zero_vat_reason_reference": "",
  "unit": "hour",
  "bookkeeping": {
    "income_account": "302",
    "vat_account": "303"
  }
}'
{
  "status": "string",
  "data": {
    "item_no": "207",
    "title": "Apartment cleaning",
    "description": "Vacuum cleaning floor, dusting shelves and taking out trash",
    "price": 130,
    "vat": 25,
    "zero_vat_reason": "VAT_EXEMPT",
    "zero_vat_reason_reference": "string",
    "unit": "hour",
    "bookkeeping": {
      "income_account": "302",
      "vat_account": "303"
    },
    "created_at": "2026-01-26 07:02:23",
    "updated_at": "2026-01-30 14:00:10"
  }
}